<?php
if (!isset($__COMMON_INC)) { $__COMMON_INC == 1;

$error_level = 31;

include("farsi.inc");

function html_head($title = "") {
   echo "<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN' 'http://www.w3.org/TR/html4/strict.dtd'>\n"
       ."<html lang='fa' dir='rtl'>\n"
       ."  <head>\n"
       ."    <meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n"
       ."    <title>$title</title>\n"
       ."<link rel='StyleSheet' type='text/css' href='common.css'>"
       ."    <script type='text/javascript' src='farsi.js'></script>\n"
       ."  </head>\n"
       ."  <body onkeypress='FKeyPress()' onkeydown='FKeyDown()'>\n";
}

function html_tail() {
   echo "  </body>\n"
       ."</html>\n";
}

function warning($s) {
   if ($s != '')
      echo "<div class='warning'>$s</div>\n";
}

function access_error() {
   echo "<div class='accesserror'>".
        farsi("wma ajazh-y dstrsy bh ayn SfHh ra ndaryd.")."</div>";
   pageclose();
}

function tabtitle($s) {
   echo "<div class='tabtitle'>$s</div>";
}

function anchor($l, $s) {
   return "<a href='$l'>$s</a>";
}

function dateform($s) {
   global $monthname;

   list($gy, $gm, $gd) = explode("-", date("Y-m-d"));
   list($jy, $jm, $jd) = gregorian_to_jalali($gy, $gm, $gd);

   $ret = "<select name='".$s."_day'>";
   for ($i = 1; $i <= 31; ++$i) {
      $ret .= "<option value='$i'".(($i==$jd)?" selected":"").">".farsi((string) $i)."</option>\n";
   }
   $ret .= "</select>";

   $ret .= " <select name='".$s."_month'>";
   for ($i = 1; $i <= 12; ++$i) {
      $ret .= "<option value='$i'".(($i==$jm)?" selected":"").">".$monthname[$i]."</option>\n";
   }
   $ret .= "</select>";

   $ret .=" <input class='left' size='1' maxlength='2' name='".$s."_year'
             value='".farsi($jy-1300)."'>"
         .farsi("13");

   return $ret;
}


function refresh($s) {
   header("Location: $s");
}

function dbconnect() {
   global $db;
   if (!isset($db))
      $db = pg_connect("dbname=db user=db password=hooloo");
}

function dbclose() {
   global $db;
   @pg_close($db);
}

function begin() {
   global $db;
   pg_exec($db, "begin");
}

function commit() {
   global $db;
   pg_exec($db, "commit");
}

function rollback() {
   global $db;
   pg_exec($db, "rollback");
}

function pageclose() {
   dbclose();
   html_tail();
   exit();
}

function logout_button() { echo "<a class='logout'
   href='logout.php'>".farsi("Krvj az systm")."</a>";
}

/*
function rankform($s) {
   $db = dbconnect();
   $res = pg_exec($db, "select rankno from rank;");
   
   $ret = "<select name='$s'>";
   for ($i = 0; $i < pg_numrows($res); ++$i) {
      $arr = pg_fetch_array($res, $i);
      $r = $arr["rankno"];
      $ret .= "<option value='$r'>".farsi((string) $r)."</option>\n";
   }
   $ret .= "</select>";

   pg_close($db);
   
   return $ret;
}
*/

function setconst($id, $val) {
	global $db;
	pg_exec($db, "update const set value='$val' where constid='$id';");
}

function pretty($s, $t, $f) {
   if ($f == "councode") $s = "00".$s;
   else if ($f == "password")
      return "***";
   if ($t == "int4" || $t == "bpchar" || $t == "int2")
      return farsi($s);
   else if ($t == "timestamp")
      return short_date(substr($s,0,10))."&nbsp;&nbsp;".farsi(substr($s,11,8));
   else if ($t == "varchar")
      return $s;
   else if ($t == "date")
      return ($s=="")?farsi("Kaly"):short_date($s);
   else if ($t == "bool")
      return ($s=="f")?farsi("Kyr"):farsi("blh");
   return "[$t]$s";
}

function customercity($cid) {
   global $db;
   $cid = substr($cid, 0, 8);
   $res = pg_exec($db, $sql = "select citycode from customer where cid='$cid';");
   if (pg_numrows($res) == 0) {
      return -1;
   }
   else {
      $o = pg_fetch_object($res, 0);
      return $o->citycode;
   }
}

}
?>
