<?php
if (!isset($__farsi_inc_)) { $__farsi_inc_ = 1;

function utf8($code) {
	if ($code <= 0x7F) {
		return pack("C", $code);
	}
	else if ($code <= 0x07FF) {
		return pack("CC", 0xC0 | ($code >> 6), 0x80 | ($code & 0x3F));
	}
	else if ($code <= 0xFFFF) {
		return pack("CCC", 0xE0 | ($code >> 12),
		                   0x80 | ($code >> 6) & 0x3F,
		                   0x80 | $code & 0x3F);
	}
	else if ($code <= 0x10FFFF) {
		return pack("CCCC", 0xF0 | ($code >> 18),
		                    0x80 | ($code >> 12) & 0x3F,
		                    0x80 | ($code >> 6) & 0x3F,
		                    0x80 | $code & 0x3F);
	}
	else {
		return '?';
	}
}

$grd2uni = array(
	'0' => utf8(0x06F0), 
	'1' => utf8(0x06F1), 
	'2' => utf8(0x06F2), 
	'3' => utf8(0x06F3), 
	'4' => utf8(0x06F4), //
	'5' => utf8(0x06F5), // 5
	'6' => utf8(0x06F6), // 6
	'7' => utf8(0x06F7), // 7
	'8' => utf8(0x06F8), // 8
	'9' => utf8(0x06F9), // 9
	'a' => utf8(0x0627), // alef
	'A' => utf8(0x0622), // aa
	'b' => utf8(0x0628), // be
	'c' => utf8(0x0686), // che
	'C' => utf8(0x062B), // 
	'd' => utf8(0x062F),
	'D' => utf8(0x0636),
	'e' => utf8(0x0639),
	'f' => utf8(0x0641),
	'g' => utf8(0x06AF),
	'h' => utf8(0x0647),
	'H' => utf8(0x062D),
	'j' => utf8(0x062C),
	'k' => utf8(0x06A9),
	'K' => utf8(0x062E),
	'l' => utf8(0x0644),
	'm' => utf8(0x0645),
	'n' => utf8(0x0646),
	'N' => utf8(0x064B),
	'p' => utf8(0x067E),
	'q' => utf8(0x063A),
	'Q' => utf8(0x0642),
	'r' => utf8(0x0631),
	's' => utf8(0x0633),
	'S' => utf8(0x0635),
	't' => utf8(0x062A),
	'T' => utf8(0x0637),
	'v' => utf8(0x0648),
	'w' => utf8(0x0634),
	'W' => utf8(0x0624),
	'y' => utf8(0x06CC),
	'z' => utf8(0x0632),
	'Z' => utf8(0x0630),
	'-' => utf8(0x200C),
	',' => utf8(0x060C),
	'_' => '&nbsp;',
);

function farsi($s)
{
	global $grd2uni;

	$s = (string) $s;
	$ret = "";
	for ($i = 0; $i < strlen($s); ++$i) {
		$u = $grd2uni[$s[$i]];
		$ret .= ($u != '' ? $u : $s[$i]);
	}
	return $ret;
}

$monthname = array(
   1 => farsi("frvrdyn"),
   2 => farsi("ardybhwt"),
   3 => farsi("Krdad"),
   4 => farsi("tyr"),
   5 => farsi("mrdad"),
   6 => farsi("whryvr"),
   7 => farsi("mhr"),
   8 => farsi("Aban"),
   9 => farsi("AZr"),
   10 => farsi("dy"),
   11 => farsi("bhmn"),
   12 => farsi("asfnd"),
);

function tonumber($s)
{
   $i = 0;
   $ret = 0;

   while ($i < strlen($s) && $s[$i] == chr(0xDB)
          && 0xB0 <= ord($s[$i+1])
          && ord($s[$i+1]) <= 0xB9) {
      $ret = $ret * 10 + ord($s[$i+1])-0xB0;
      $i += 2;
   }
   return $ret;
}

}

?>
